Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IORInfo Class Reference

@brief This class exposes an interface that allows IORInterceptors add tagged components to IORs. More...

`#include <IORInfo.h>`

Inheritance diagram for TAO_IORInfo:

[legend]
Collaboration diagram for TAO_IORInfo:

[legend]
List of all members.

## Public Methods
| TAO_IORInfo (TAO_ORB_Core *orb_core, TAO_POA *poa)
| Constructor. More...
virtual CORBA::Policy_ptr | get_effective_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the policy matching the given policy type that is in effect for the object whose IOR is being created. More...
virtual void | add_ior_component (const IOP::TaggedComponent &component ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Add the given tagged component to all profiles. More...
virtual void | add_ior_component_to_profile (const IOP::TaggedComponent &component, IOP::ProfileId profile_id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Add the given tagged component to all profiles matching the given ProfileId. More...
virtual PortableInterceptor::AdapterManagerId | manager_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::AdapterState | state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::ObjectReferenceTemplate * | adapter_template (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::ObjectReferenceFactory * | current_factory (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | current_factory (PortableInterceptor::ObjectReferenceFactory *current_factory ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Methods
| ~TAO_IORInfo (void)
| Destructor is protected to force instantiation on the heap since it is reference counted. More...
## Private Methods
| TAO_IORInfo (const TAO_IORInfo &)
| Prevent copying through the copy constructor and the assignment operator. More...
void | operator= (const TAO_IORInfo &)
## Private Attributes
TAO_ORB_Core * | orb_core_
| Pointer to the ORB Core of the current ORB. More...
TAO_POA * | poa_
| Pointer to POA. More...
PortableInterceptor::AdapterState | state_
| The Adapter state. More...
PortableInterceptor::AdapterManagerId | manager_id_
| The AdapterManagerId. More...
PortableInterceptor::ObjectReferenceTemplate * | adapter_template_
| The ObjectReferenceTemplate. More...
PortableInterceptor::ObjectReferenceFactory * | current_factory_
| The current factory. More...
## Friends
class | TAO_dummy_friend
class | TAO_POA

## Detailed Description

@brief This class exposes an interface that allows IORInterceptors add tagged components to IORs.

## Constructor & Destructor Documentation

TAO_IORInfo::TAO_IORInfo | ( | TAO_ORB_Core * | orb_core,
|  | TAO_POA * | poa
| ) |

| Constructor.

TAO_IORInfo::~TAO_IORInfo | ( | void |  | ) | `[protected]`

| Destructor is protected to force instantiation on the heap since it is reference counted.

TAO_IORInfo::TAO_IORInfo | ( | const TAO_IORInfo & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

## Member Function Documentation

PortableInterceptor::ObjectReferenceTemplate * TAO_IORInfo::adapter_template | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_IORInfo::add_ior_component | ( | const IOP::TaggedComponent &component | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Add the given tagged component to all profiles.

void TAO_IORInfo::add_ior_component_to_profile | ( | const IOP::TaggedComponent & | component,
|  | IOP::ProfileId profile_id | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Add the given tagged component to all profiles matching the given ProfileId.

void TAO_IORInfo::current_factory | ( | PortableInterceptor::ObjectReferenceFactory *current_factory | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

PortableInterceptor::ObjectReferenceFactory * TAO_IORInfo::current_factory | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Policy_ptr TAO_IORInfo::get_effective_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

PortableInterceptor::AdapterManagerId TAO_IORInfo::manager_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_IORInfo::operator= | ( | const TAO_IORInfo & |  | ) | `[private]`

PortableInterceptor::AdapterState TAO_IORInfo::state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Friends And Related Function Documentation

friend class TAO_dummy_friend`[friend]`

friend class TAO_POA`[friend]`

## Member Data Documentation

PortableInterceptor::ObjectReferenceTemplate* TAO_IORInfo::adapter_template_`[private]`

| The ObjectReferenceTemplate.

PortableInterceptor::ObjectReferenceFactory* TAO_IORInfo::current_factory_`[private]`

| The current factory.

PortableInterceptor::AdapterManagerId TAO_IORInfo::manager_id_`[private]`

| The AdapterManagerId.

TAO_ORB_Core* TAO_IORInfo::orb_core_`[private]`

| Pointer to the ORB Core of the current ORB.

TAO_POA* TAO_IORInfo::poa_`[private]`

| Pointer to POA.

PortableInterceptor::AdapterState TAO_IORInfo::state_`[private]`

| The Adapter state.

The documentation for this class was generated from the following files:

- IORInfo.h
- IORInfo.cpp